XmMessageBoxGetChild(3Xm)

NAME
XmMessageBoxGetChild — a MessageBox function that is used to access a component.

SYNOPSIS
#include <Xm/MessageB.h>

Widget XmMessageBoxGetChild (widget, child)
    Widget    widget;
    unsigned char    child;

DESCRIPTION
XmMessageBoxGetChild is used to access a component within a MessageBox. the parameters given to the function are the MessageBox widget and a value indicating which child to access.

widget
    Specifies the MessageBox widget ID.

child
    Specifies a component within the MessageBox. The following are legal values for this parameter:

•   XmDIALOG_CANCEL_BUTTON.

•   XmDIALOG_DEFAULT_BUTTON.

•   XmDIALOG_HELP_BUTTON.

•   XmDIALOG_MESSAGE_LABEL.

•   XmDIALOG_OK_BUTTON.

•   XmDIALOG_SEPARATOR.

•   XmDIALOG_SYMBOL_LABEL.

For a complete definition of MessageBox and its associated resources, see XmMessageBox(3Xm).

RETURN VALUE
Returns the widget ID of the specified MessageBox child.

RELATED INFORMATION
XmMessageBox(3Xm).